require 'uri'
require 'net/http'
require 'openssl'
require 'json'
require 'open-uri'
require 'nokogiri'
module Tablehop
    class Tablehop
        def self.getPopularGames 
            recent_favourites = Nokogiri::HTML(URI.open("https://api.geekdo.com/xmlapi2/hot?type=rpg")) 
            #puts doc.xpath('//html/body/items/item')[0]
            popular_games = []
            loop_length = recent_favourites.xpath('//html/body/items/item').length
            for item in 0..loop_length-1
                item_link = 'https://boardgamegeek.com/boardgame/' + recent_favourites.xpath('//html/body/items/item/@id')[item].to_s
                game_dict = {
                    'name' => recent_favourites.xpath('//html/body/items/item/name/@value')[item].to_s,
                    'image' => recent_favourites.xpath('//html/body/items/item/thumbnail/@value')[item].to_s,
                    'item_id' => recent_favourites.xpath('//html/body/items/item/@id')[item].to_s,
                    'item_link' => item_link
                }
                popular_games.append(game_dict)
            end
            #puts popular_games.length.to_s
            #indItem = Nokogiri::HTML(doc.xpath('//html/body/items/item')[0])
            return popular_games
        end
    end
end



